curl --request PUT \
--url https://api.quiva.ai/hub/integrations/{integration_id}/oauth-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration_id": "slack",
"name": "Slack API",
"scopes": "channels:read,chat:write,users:read,files:read",
"client_id": "123456789.987654321",
"client_secret": "abcdef1234567890abcdef",
"auth_url": "https://slack.com/oauth/v2/authorize",
"token_url": "https://slack.com/api/oauth.v2.access",
"redirect_url": "https://api.quiva.ai/hub/integrations/oauth-callback"
}
'{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Oauth
Update an OAuth configuration.
[quiva.ai admins only] Update the OAuth configuration for a specific integration - full configuration replacement
PUT
/
hub
/
integrations
/
{integration_id}
/
oauth-config
curl --request PUT \
--url https://api.quiva.ai/hub/integrations/{integration_id}/oauth-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration_id": "slack",
"name": "Slack API",
"scopes": "channels:read,chat:write,users:read,files:read",
"client_id": "123456789.987654321",
"client_secret": "abcdef1234567890abcdef",
"auth_url": "https://slack.com/oauth/v2/authorize",
"token_url": "https://slack.com/api/oauth.v2.access",
"redirect_url": "https://api.quiva.ai/hub/integrations/oauth-callback"
}
'{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
Integration identifier
Body
application/json
Unique identifier for the integration
Name of the OAuth integration
Comma-separated list of OAuth scopes
Example:
"read,write,admin"
OAuth client ID
OAuth client secret
Authorization URL for the OAuth flow
Token URL to exchange authorization code for access token
Redirect URL used in the OAuth flow
Response
OAuth configuration
Success message